Bug 1290297 - An error in ovirt-node.log related to RHN register
An error in ovirt-node.log related to RHN register
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
3.6.0
Unspecified Unspecified
low Severity medium
: ovirt-4.0.0-rc
: 4.0.0
Assigned To: Fabian Deutsch
wanghui
: ZStream
Depends On:
Blocks: 1322782
  Show dependency treegraph
 
Reported: 2015-12-10 01:26 EST by wanghui
Modified: 2016-06-09 08:16 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1322782 (view as bug list)
Environment:
Last Closed: 2016-06-09 08:16:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 53032 master MERGED sat: Fix logging message 2016-02-04 11:31 EST
oVirt gerrit 55488 ovirt-3.6 MERGED sat: Fix logging message 2016-03-30 13:49 EDT
oVirt gerrit 55812 master MERGED Don't reference SAM in logs when registering 2016-04-07 09:14 EDT
oVirt gerrit 55815 ovirt-3.6 MERGED Don't reference SAM in logs when registering 2016-04-07 09:14 EDT

  None (edit)
Description wanghui 2015-12-10 01:26:50 EST
Description of problem:
After register to RHN succeed, there is an error in ovirt-node.log files related to RHN register status as follows.

2015-12-07 05:31:51,667       INFO /usr/sbin/subscription-manager register --force --type hypervisor --password XXXXXXXX --username qa@redhat.com
2015-12-07 05:32:09,620    WARNING File "/var/lib/rhsm/cache/installed_products.json" had already been persisted
2015-12-07 05:32:09,623    WARNING File "/etc/pki/consumer/key.pem" had already been persisted
2015-12-07 05:32:09,624    WARNING File "/etc/pki/consumer/cert.pem" had already been persisted
2015-12-07 05:32:09,624       INFO System %s successfully registered to SAM

There should be "INFO Sytem test.redhat.com successfully registered to RHSM".

Version-Release number of selected component (if applicable):
rhev-hypervisor7-7.2-20151201.2.el7ev
ovirt-node-3.6.0-0.23.20151201git5eed7af.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. TUI install rhev-hypervisor7-7.2-20151201.2.el7ev
2. Register rhevh to RHN with profile name "test.redhat.com"
3. Check the ovirt-node.log file.

Actual results:
1. It reports as follows.
2015-12-07 05:32:09,624       INFO System %s successfully registered to SAM

Expected results:
1. It should be as follows.

2015-12-07 05:32:09,624       INFO System test.redhat.com successfully registered to RHSM

Additional info:
Comment 1 Fabian Deutsch 2016-01-28 05:54:03 EST
Is this fixed in RHEV-H 3.6? IIRC it should be.
Comment 3 wanghui 2016-02-03 01:29:53 EST
Test version:
rhev-hypervisor7-7.2-20160126.0
ovirt-node-3.6.1-5.0.el7ev.noarch

Test steps:
1. TUI install rhev-hypervisor7-7.2-20160126.0
2. Register rhevh to RHN with profile name "test-20160216"
3. Check the ovirt-node.log file.

Test result:
1. It reports as follows.
2016-02-03 06:24:32,579       INFO System %s successfully registered to SAM

So this is still not fixed in ovirt-node-3.6.1-5.0.el7ev.noarch.
Comment 4 Fabian Deutsch 2016-02-03 06:15:13 EST
There was yet another place where the format string was not filled correctly. This should be fixed now.
Comment 5 Mike McCune 2016-03-28 18:35:49 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Fabian Deutsch 2016-06-09 08:16:47 EDT
This issue will not be fixed with an eventually attached in RHEV 4.0. Instead this bug is getting fixed by the new functionality in Cockpit.

Note You need to log in before you can comment on or make changes to this bug.